{ config, pkgs, ... }:

{

  services.tailscale = {
    enable = true;
    openFirewall = true;
    authKeyFile = config.sops.secrets."tailscale/preauthkeys/poseidon".path;
    extraUpFlags =
      [ "--login-server=https://headscale.polsevev.dev" "--accept-dns=false" ];
  };

}

